javax.batch.api.partition

## Interface PartitionCollector

    public interface PartitionCollector

PartitionCollector provides a way to pass data from individual partitions to a single point of control running on the step's parent thread. The PartitionAnalyzer is used to receive and process this data.

### Method Summary

Methods
`Serializable` `collectPartitionData()` The collectPartitionData method receives control periodically during partition processing.

### Method Detail

#### collectPartitionData

    Serializable collectPartitionData()
                                      throws Exception

The collectPartitionData method receives control periodically during partition processing. This method receives control on each thread processing a partition as follows:

1. for a chunk type step, it receives control after every chunk checkpoint and then one last time at the end of the partition;
2. for a batchlet type step, it receives control once at the end of the batchlet.

Note the collector is not called if the partition terminates due to an unhandled exception.

Returns:
  an Serializable object to pass to the PartitionAnalyzer.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0